Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GRoundedRectangle

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GNode
              SEdit.Graphics.GRectangle
                  SEdit.Graphics.GRoundedRectangle

    public class GRoundedRectangle

extends GRectangle

CLASSE GRectangle

Field Summary

Fields inherited from class SEdit.Graphics.GRectangle
`rDefaultHeight, rDefaultWidth`

Fields inherited from class SEdit.Graphics.GNode
`HANDLE_SIZE, resizable, selectedHandle`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GRoundedRectangle()`

Method Summary
`int` | `getArcHeight()` Get the value of arcHeight.
`int` | `getArcWidth()` Get the value of arcWidth.
`void` | `paint(java.awt.Graphics g)`
`void` | `setArcHeight(int v)` Set the value of arcHeight.
`void` | `setArcWidth(int v)` Set the value of arcWidth.

Methods inherited from class SEdit.Graphics.GRectangle
`contains, intersection, isContainedIn`

Methods inherited from class SEdit.Graphics.GNode
`displayHandles, doDrag, doReSelect, getResizable, getSelectedHandle, select, setResizable`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, displayName, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isContainedIn, isSelectable, isSelected, reInstall, setCenter, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, snapToGrid, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GRoundedRectangle

    public GRoundedRectangle()

Method Detail

### getArcHeight

    public int getArcHeight()

  Get the value of arcHeight.

  Returns:
    Value of arcHeight.

### setArcHeight

    public void setArcHeight(int v)

  Set the value of arcHeight.

  Parameters:
    `v` - Value to assign to arcHeight.

### getArcWidth

    public int getArcWidth()

  Get the value of arcWidth.

  Returns:
    Value of arcWidth.

### setArcWidth

    public void setArcWidth(int v)

  Set the value of arcWidth.

  Parameters:
    `v` - Value to assign to arcWidth.

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GRectangle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.